'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.BCOMInput = undefined;

var _metalSoy = require('metal-soy');

var _metalSoy2 = _interopRequireDefault(_metalSoy);

var _metalComponent = require('metal-component');

var _metalComponent2 = _interopRequireDefault(_metalComponent);

var _inputSoy = require('./input.soy.js');

var _inputSoy2 = _interopRequireDefault(_inputSoy);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; }

/*
 * BCOMInputs component.
 */
var BCOMInput = function (_Component) {
  _inherits(BCOMInput, _Component);

  function BCOMInput() {
    _classCallCheck(this, BCOMInput);

    return _possibleConstructorReturn(this, (BCOMInput.__proto__ || Object.getPrototypeOf(BCOMInput)).apply(this, arguments));
  }

  return BCOMInput;
}(_metalComponent2.default);

_metalSoy2.default.register(BCOMInput, _inputSoy2.default);

/**
 * State definition.
 * @type {!Object}
 * @static
 */
BCOMInput.STATE = {};

exports.BCOMInput = BCOMInput;
exports.default = BCOMInput;